#CS ===================================================================================================================================================================\\
	Name:				Page Menu Control UDC Example
	Author:				Antonio Do Rosario (Antop)
	Website:			www.antop.co.uk
	License:			Freeware
	AutoIt version:		3.3.6.1
	UDC version:		1.0
	
	Descrption: The page menu contains grouped lists of conceptually related pages (In AutoIt they don't have pages therfore it is windows that can be shown) or links.
	
#CE ===================================================================================================================================================================//


#include "Page Menu UDC.au3"

Local $avArrayD1[2] = ["Project Settings", "General information|"&@ScriptDir&"\Icons\book.ico"]
Local $avArrayD2[6] = ["Install Settings", "Screens|"&@ScriptDir&"\Icons\application.ico", "Requirements|"&@ScriptDir&"\Icons\monitor.ico", "Interface|"&@ScriptDir&"\Icons\layout.ico", "Tasks|"&@ScriptDir&"\Icons\script.ico", "More Settings|"&@ScriptDir&"\Icons\wrench.ico"]
Local $avArrayD3[5] = ["Uninstall Settings", "Screens|"&@ScriptDir&"\Icons\application.ico", "Interface|"&@ScriptDir&"\Icons\layout.ico", "Tasks|"&@ScriptDir&"\Icons\script.ico", "Control Panel|"&@ScriptDir&"\Icons\wrench.ico"]
Local $avArrayD4[2] = ["Publish", "Build Options|"&@ScriptDir&"\Icons\package.ico"]

Local $avArray1_D1[2] = ["Project Settings", "General information|"&@ScriptDir&"\Icons\book.ico"]
Local $avArray1_D2[6] = ["Install Settings", "Screens|"&@ScriptDir&"\Icons\application.ico", "Requirements|"&@ScriptDir&"\Icons\monitor.ico", "Interface|"&@ScriptDir&"\Icons\layout.ico", "Tasks|"&@ScriptDir&"\Icons\script.ico", "More Settings|"&@ScriptDir&"\Icons\wrench.ico"]
Local $avArray1_D3[5] = ["Uninstall Settings", "Screens|"&@ScriptDir&"\Icons\application.ico", "Interface|"&@ScriptDir&"\Icons\layout.ico", "Tasks|"&@ScriptDir&"\Icons\script.ico", "Control Panel|"&@ScriptDir&"\Icons\wrench.ico"]
Local $avArray1_D4[2] = ["Publish", "Build Options|"&@ScriptDir&"\Icons\package.ico"]


$GUI = GUICreate("GUI",700,500,-1,-1, $WS_MAXIMIZEBOX+$WS_MINIMIZEBOX+$WS_SIZEBOX  )

;PageMenu Control 1 - Docked Version
$Ctrl_H1 = PageMenu_Create($GUI ,0 ,0 ,162 ,396 ,@ScriptDir&"\Page Menu Images1\AButtonBK.bmp",1 )
PageMenu_LoadInterfaceImages($Ctrl_H1, @ScriptDir&"\Page Menu Images1\AButtonUp.bmp", @ScriptDir&"\Page Menu Images1\AButtonUpLighted.bmp", @ScriptDir&"\Page Menu Images1\AButtonUpPressed.bmp", @ScriptDir&"\Page Menu Images1\AButtonDown.bmp", @ScriptDir&"\Page Menu Images1\AButtonDownLighted.bmp", @ScriptDir&"\Page Menu Images1\AButtonDownPressed.bmp", @ScriptDir&"\Page Menu Images1\AButtonPaper.bmp")
$Cr1_G1 = PageMenu_AddGroup($Ctrl_H1, $avArrayD1 )
PageMenu_AddGroup($Ctrl_H1, $avArrayD2 )
PageMenu_AddGroup($Ctrl_H1, $avArrayD3 )
PageMenu_AddGroup($Ctrl_H1, $avArrayD4 )

;PageMenu Control 2
$Ctrl_H2 = PageMenu_Create($GUI ,170 ,20 ,180 ,459 ,@ScriptDir&"\Page Menu Images2\AButtonBK.bmp",0 )
PageMenu_LoadInterfaceImages($Ctrl_H2, @ScriptDir&"\Page Menu Images2\AButtonUp.bmp", @ScriptDir&"\Page Menu Images2\AButtonUpLighted.bmp", @ScriptDir&"\Page Menu Images2\AButtonUpPressed.bmp", @ScriptDir&"\Page Menu Images2\AButtonDown.bmp", @ScriptDir&"\Page Menu Images2\AButtonDownLighted.bmp", @ScriptDir&"\Page Menu Images2\AButtonDownPressed.bmp", @ScriptDir&"\Page Menu Images2\AButtonPaper.bmp")
PageMenu_AddGroup($Ctrl_H2, $avArray1_D1 )
PageMenu_AddGroup($Ctrl_H2, $avArray1_D2 )
PageMenu_AddGroup($Ctrl_H2, $avArray1_D3 )
PageMenu_AddGroup($Ctrl_H2, $avArray1_D4 )

$Btn1 = GUICtrlCreateButton(" Delete PageMenu Control 2 ",400,40)
GUICtrlSetResizing($Btn1, 0x0002 + 0x0020 + 0x0300)


GUISetState()


MsgBox(0,"Example 1","Adding Item to PageMenu Control 2 Group Index 1")
PageMenu_AddItem($Ctrl_H2, 1, "Example 2", @ScriptDir&"\Icons\Lock.ico")

MsgBox(0,"Example 2","Deleting Item of PageMenu Control 2 Group index 2 and Item index 4")
PageMenu_DeleteItem($Ctrl_H2, 2, 4)

MsgBox(0,"Example 3","Deleting Group of PageMenu Control 2 Group index 3")
PageMenu_DeleteGroup($Ctrl_H2, 3)

MsgBox(0,"Example 4",'Now click "General information" from Control 1.')



; Run the GUI until the dialog is closed
While 1
	Switch GUIGetMsg()
		
		Case $Btn1
			PageMenu_Destroy($Ctrl_H2)
			
			
		Case $Cr1_G1[1]
			MsgBox(0,"","HI"&@CRLF&'You clicked "General information". This is the only item that works, rest of the items are not set up in the "Switch" section.')
			
			
		Case -3
			Exit
			
	EndSwitch
	Sleep(10)
WEnd
GUIDelete()


